# Calendar (Tentative)

For differential privacy, we will use the textbook *Algorithmic Foundations of
Data Privacy* (AFDP) by Cynthia Dwork and Aaron Roth, available
[here](https://www.cis.upenn.edu/~aaroth/Papers/privacybook.pdf).

 Date | Topic | Presenter 
:----:|-------|:---------:
      | <center> <h4> **Differential Privacy** </h4> </center> |
9/5   | [Course welcome, introducing differential privacy](../resources/slides/lecture01.html) <br> **Paper:** Keshav. [*How to Read a Paper*](https://web.stanford.edu/class/ee384m/Handouts/HowtoReadPaper.pdf). | JH
9/10  | Basic private mechanisms <br> **Reading:** AFDP 3.2, 3.3 | JH
9/12  | What does differential privacy actually mean? <br> **Reading:** McSherry. [*Lunchtime for Differential Privacy*](https://github.com/frankmcsherry/blog/blob/master/posts/2016-08-16.md) (see also these [two](https://github.com/frankmcsherry/blog/blob/master/posts/2016-06-14.md) [posts](https://github.com/frankmcsherry/blog/blob/master/posts/2016-08-29.md)) | JH
9/17  | Composition and closure properties <br> **Reading:** AFDS 3.5 <br> <center> <h5> **Due: Project topics and groups** </h5> </center> | JH
9/19  | Exponential mechanism <br> **Paper:** McSherry and Talwar. [*Mechanism Design via Differential Privacy*](http://kunaltalwar.org/papers/expmech.pdf). | JH
**9/21 (FRI)**  | Identity-Based Encryption from the Diffie-Hellman Assumption  <br> <center> **SPECIAL TIME AND PLACE: 4 PM, CS 1240** </center> | Sanjam Garg
9/24  | Privacy for data streams <br> **Paper:** Chan, Shi, and Song. [*Private and Continual Release of Statistics*](https://eprint.iacr.org/2010/076.pdf).  |
9/26  | Report-noisy-max and the Sparse Vector Technique **Reading:** AFDS 3.3, 3.5 | JH
10/1  | Answering lots of queries: Private multiplicative weights <br> **Paper:** Hardt, Ligett, and McSherry. [*A Simple and Practical Algorithm for Differentially Private Data Release*](https://papers.nips.cc/paper/4548-a-simple-and-practical-algorithm-for-differentially-private-data-release.pdf). |
10/3  | Local differential privacy (theory) AFDS 12.1 | JH    
10/8  | Local differential privacy (practice) <br> **Paper:** Erlingsson, Pihur, and Korolova. [*RAPPOR: Randomized Aggregatable Privacy-Preserving Ordinal Response*](https://arxiv.org/pdf/1407.6981.pdf). |
10/10 | More differential privacy <br> **Paper:** |
10/15 | <center> **NO CLASS: INSTRUCTOR AWAY** </center> |
10/17 | <center> **NO CLASS: INSTRUCTOR AWAY** <br> <center> <h5> **Due: Milestone 1** </h5> </center> |
      | <center> <h4> **Cryptographic Techniques** </h4> </center> |
10/22 | Crypto: overview and basics | JH
10/24 | Secure multiparty computation <br> **Paper:** |
10/29 | Homomorphic encryption <br> **Paper:** |
10/31 | Verifiable computing <br> **Paper:** |
11/5  | More applied crypto <br> **Paper:** | 
      | <center> <h4> **Language-Based Security** </h4> </center> |
11/7  | LangSec: overview and basics | JH
11/12 | Secure Information Flow <br> **Paper:** |
11/14 | Languages for privacy <br> **Paper:** <br> <center> <h5> **Due: Milestone 2** </h5> </center> | 
11/19 | Symbolic cryptography <br> **Paper:** |
11/21 | More LangSec <br> **Paper:** |
      | <center> <h4> **Adversarial Machine Learning** </h4> </center> |
11/26 | AML: overview and basics <br> <center> **GUEST LECTURE** </center> | Somesh Jha
11/28 | AML: overview and basics <br> <center> **GUEST LECTURE** </center> | Somesh Jha
12/3  | Adversarial examples <br> **Paper:** |
12/5  | Training-time attacks <br> **Paper:** |
12/10 | Model-theft attacks <br> **Paper:** |
12/12 | More AML <br> **Paper:** |
